


#include "kubecontrol/KubePod.hpp"
#include "nlohmann/json_fwd.hpp"
#define CATCH_CONFIG_MAIN
#include <catch2/catch.hpp>

#include <kubecontrol/PodController.hpp>
#include <crossguid/guid.hpp>


SCENARIO("Testing the SimCore Sensor")
{
kubecontrol::PodController podc("docs/config");


kubecontrol::KubePod pod1("Pod1",xg::newGuid().str(),"debugdebianhenry:0.1.3");

kubecontrol::KubePod pod2("Pod2",xg::newGuid().str(),"debugdebianhenry:0.1.3");

pod1.setArgs("-c");
pod1.setArgs("while true; do echo hello; sleep 5;done");

pod1.setCommand("/bin/sh");


podc.startPod(pod1);
podc.startPod(pod2);
std::string info1 = "";
info1 = podc.getInfoForPod("pod1");
nlohmann::json j1 = nlohmann::json::parse(info1);

nlohmann::json jall = nlohmann::json::parse(podc.getPodsInfo());

podc.stopAllPods();

  GIVEN("different Attributes for a Track in different forms")
  {
    WHEN("constructing Track Object with data")
    {
       
      THEN("check if Track attributes are correct")
      {
        REQUIRE(true == true);

        // REQUIRE(info1 != "");
       




      } //THEN
    } // WHEN
  } // GIVEN
} //SCENARIO